### Method

# Gimp Path stroke_flip

since: 2.4

#### Declaration [src]

    gboolean
    gimp_path_stroke_flip (
      GimpPath* path,
      gint stroke_id,
      GimpOrientationType flip_type,
      gdouble axis
    )

#### Description [src]

Flips the given stroke.

Rotates the given stroke around given center by angle (in degrees).

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`flip_type`

  Type: `GimpOrientationType`

  Flip orientation, either vertical or horizontal.

`axis`

  Type: `gdouble`

  Axis coordinate about which to flip, in pixels.

#### Return value

Type: `gboolean`

TRUE on success.